From d3f277a029da435d865a2350fab7d044b712ef47 Mon Sep 17 00:00:00 2001
From: Pierre-Yves Chibon <pingou@pingoured.fr>
Date: Jun 30 2016 11:13:53 +0000
Subject: [PATCH 511/1001] Adjust the tests to drop the openid url in favor of the user's nickname


---

diff --git a/hubs/tests/__init__.py b/hubs/tests/__init__.py
index 5c10118..f9faa42 100644
--- a/hubs/tests/__init__.py
+++ b/hubs/tests/__init__.py
@@ -42,10 +42,9 @@ class APPTest(unittest.TestCase):
 
     def populate(self):
         for user in ['devyani7', 'dhrish', 'shalini', 'ralph', 'decause']:
-            openid = '%s.id.fedoraproject.org' % user
             fullname = user.title()
             hubs.models.User.get_or_create(
-                hubs.app.session, openid=openid, fullname=fullname)
+                hubs.app.session, username=user, fullname=fullname)
 
         hubs.app.session.flush()
 
@@ -122,7 +121,6 @@ class FakeUser(object):
             supposed to be.
         """
         self.username = username
-        self.openid = username + '.id.fedoraproject.org'
         self.booksmarks = []
 
     def __getitem__(self, key):
@@ -140,7 +138,6 @@ class FakeAuthorization(object):
         self.logged_in = True
         self.fullname = 'fullname: ' + username
         self.email = 'email: ' + username
-        self.openid = username + '.id.fedoraproject.org'
         self.user = FakeUser(username)
         self.avatar = 'avatar_src_url'
         self.nickname = username
diff --git a/hubs/tests/test_api/test_fedmsg.py b/hubs/tests/test_api/test_fedmsg.py
index d6e67ef..332d4d1 100644
--- a/hubs/tests/test_api/test_fedmsg.py
+++ b/hubs/tests/test_api/test_fedmsg.py
@@ -54,7 +54,6 @@ class TestFeed(hubs.tests.APPTest):
             'plugin': 'feed'
         }
         with self.app.session_transaction() as sess:
-            sess['openid'] = 'atelic@fedoraproject.org'
             sess['nickname'] = 'atelic'
 
         with hubs.tests.auth_set(app, self.user):
@@ -71,7 +70,6 @@ class TestFeed(hubs.tests.APPTest):
             'plugin': 'feed'
         }
         with self.app.session_transaction() as sess:
-            sess['openid'] = 'atelic@fedoraproject.org'
             sess['nickname'] = 'atelic'
 
         with hubs.tests.auth_set(app, self.user):
diff --git a/hubs/tests/test_models.py b/hubs/tests/test_models.py
index c836a51..47a6eca 100644
--- a/hubs/tests/test_models.py
+++ b/hubs/tests/test_models.py
@@ -12,8 +12,7 @@ class ModelTest(hubs.tests.APPTest):
 
         # verify user exists
         username = 'ralph'
-        openid = '%s.id.fedoraproject.org' % username
-        user = hubs.models.User.get(self.session, openid)
+        user = hubs.models.User.get(self.session, username)
         self.assertIsNotNone(user)
 
         # check if association exists
@@ -23,7 +22,7 @@ class ModelTest(hubs.tests.APPTest):
 
         # delete the user
         self.session.delete(user)
-        user = hubs.models.User.get(self.session, openid)
+        user = hubs.models.User.get(self.session, username)
         self.assertIsNone(user)
 
         # checking to see if the hub is still intact
@@ -45,8 +44,7 @@ class ModelTest(hubs.tests.APPTest):
 
         # check if association exists
         username = 'ralph'
-        openid = '%s.id.fedoraproject.org' % username
-        user = hubs.models.User.get(self.session, openid)
+        user = hubs.models.User.get(self.session, username)
         assoc = hubs.models.Association.get(self.session, hub, user, 'owner')
         self.assertIsNotNone(assoc)
 
@@ -70,18 +68,17 @@ class ModelTest(hubs.tests.APPTest):
         self.assertIsNone(hub)
 
         # check if user is still intact
-        user = hubs.models.User.get(self.session, openid)
+        user = hubs.models.User.get(self.session, username)
         self.assertIsNotNone(user)
-        self.assertIn('ralph', user.openid)
+        self.assertEqual('ralph', user.username)
 
     def test_delete_user_then_hubs(self):
         self.session = hubs.models.init(fedmsg_config['hubs.sqlalchemy.uri'])
         username = 'ralph'
-        openid = '%s.id.fedoraproject.org' % username
-        user = hubs.models.User.get(self.session, openid)
+        user = hubs.models.User.get(self.session, username)
         self.assertIsNotNone(user)
         self.session.delete(user)
-        user = hubs.models.User.get(self.session, openid)
+        user = hubs.models.User.get(self.session, username)
         self.assertIsNone(user)
 
         # checking to see if the hub is still intact
diff --git a/hubs/tests/test_widgets/__init__.py b/hubs/tests/test_widgets/__init__.py
index 38d77af..b0b7d64 100644
--- a/hubs/tests/test_widgets/__init__.py
+++ b/hubs/tests/test_widgets/__init__.py
@@ -36,10 +36,9 @@ class WidgetTest(unittest.TestCase):
 
     def populate(self):
         for user in ['devyani7', 'dhrish', 'shalini', 'ralph', 'decause']:
-            openid = '%s.id.fedoraproject.org' % user
             fullname = user.title()
             hubs.models.User.get_or_create(
-                hubs.app.session, openid=openid, fullname=fullname)
+                hubs.app.session, username=user, fullname=fullname)
 
         hubs.app.session.flush()
 

